/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/primitive.h"

#define POKER_TABLE_NAME "Poker Table"
#define POKER_TABLE_VERTICE_COUNT 252
#define POKER_TABLE_INDICE_COUNT 420
#define POKER_TABLE_TRIANGLE_COUNT 140

/**
 * Generated Model Poker Table
 * Generated at Sun, 09 May 2021 21:15:45 GMT
 * @returns Poker Table as a primitive.
 */
primitive_t * pokerTableCreate();
