/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/primitives/quad.h"

typedef struct {
  int32_t chunkX, chunkY, chunkZ, localX, localY, localZ;
} tilegetresult_t;

void tileRender(
  chunk_t *chunk, tileid_t id, tiledef_t *tileDef,
  int32_t i, int32_t x, int32_t y, int32_t z,
  int32_t verticeStart, int32_t indiceStart
);

tilegetresult_t tileGet(int32_t x, int32_t y, int32_t z);